aboutsummaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
authorMarek Gradzki <mgradzki@cisco.com>2018-03-13 08:19:26 +0100
committerMarek Gradzki <mgradzki@cisco.com>2018-03-13 10:11:18 +0100
commit06f5893dc07873ffc4acaa55a6d9c06277a593c2 (patch)
tree7f52c472861f60e12241835988f5888dce3c1e85
parent07a840aaa516d4560dddd916c23593e711ec08fb (diff)
HC Tests: disable NSH plugin
NSH artifacts in Nexus are outdated and crash VPP. Reenable NSH after it is fixed (CSIT-994). Change-Id: I3a0367682d62d5ccdbf008336ed682e7ab9032a0 Signed-off-by: Marek Gradzki <mgradzki@cisco.com>
-rwxr-xr-xbootstrap-hc2vpp-integration-odl.sh3
-rwxr-xr-xbootstrap-hc2vpp-integration.sh2
-rwxr-xr-xbootstrap-hc2vpp-verify-odl.sh3
-rwxr-xr-xbootstrap-hc2vpp-verify.sh2
-rwxr-xr-xresources/tools/scripts/download_hc_build_pkgs.sh16
-rwxr-xr-xresources/tools/scripts/download_hc_pkgs.sh16
6 files changed, 26 insertions, 16 deletions
diff --git a/bootstrap-hc2vpp-integration-odl.sh b/bootstrap-hc2vpp-integration-odl.sh
index a06680e814..9c5b2e13f2 100755
--- a/bootstrap-hc2vpp-integration-odl.sh
+++ b/bootstrap-hc2vpp-integration-odl.sh
@@ -228,11 +228,12 @@ if [ "$?" -ne "0" ]; then
echo "However, the tests will start."
fi
+# TODO(CSIT-994): reenable NSH
PYTHONPATH=`pwd` pybot -L TRACE -W 136\
-v TOPOLOGY_PATH:${SCRIPT_DIR}/topologies/enabled/topology.yaml \
--suite "tests.vpp.func" \
--include HC_FUNC \
- --exclude HC_REST_ONLY \
+ --exclude HC_NSHORHC_REST_ONLY \
--noncritical EXPECTED_FAILING \
--variable HC_ODL:${ODL} \
tests/
diff --git a/bootstrap-hc2vpp-integration.sh b/bootstrap-hc2vpp-integration.sh
index 790465541e..02eaade5cb 100755
--- a/bootstrap-hc2vpp-integration.sh
+++ b/bootstrap-hc2vpp-integration.sh
@@ -227,10 +227,12 @@ if [ "$?" -ne "0" ]; then
echo "However, the tests will start."
fi
+# TODO(CSIT-994): reenable NSH
PYTHONPATH=`pwd` pybot -L TRACE -W 136\
-v TOPOLOGY_PATH:${SCRIPT_DIR}/topologies/enabled/topology.yaml \
--suite "tests.vpp.func" \
--include HC_FUNC \
+ --exclude HC_NSH \
--noncritical EXPECTED_FAILING \
tests/
diff --git a/bootstrap-hc2vpp-verify-odl.sh b/bootstrap-hc2vpp-verify-odl.sh
index 0765ea7569..17af883af7 100755
--- a/bootstrap-hc2vpp-verify-odl.sh
+++ b/bootstrap-hc2vpp-verify-odl.sh
@@ -227,11 +227,12 @@ fi
rm -rf ~/*karaf*
cp /nfs/common/karaf_${ODL} ~
+# TODO(CSIT-994): reenable NSH
PYTHONPATH=`pwd` pybot -L TRACE -W 136\
-v TOPOLOGY_PATH:${SCRIPT_DIR}/topologies/enabled/topology.yaml \
--suite "tests.vpp.func" \
--include HC_FUNC \
- --exclude HC_REST_ONLY \
+ --exclude HC_NSHORHC_REST_ONLY \
--noncritical EXPECTED_FAILING \
--variable HC_ODL:${ODL} \
tests/
diff --git a/bootstrap-hc2vpp-verify.sh b/bootstrap-hc2vpp-verify.sh
index bd9ad323b3..2b6fbe75f5 100755
--- a/bootstrap-hc2vpp-verify.sh
+++ b/bootstrap-hc2vpp-verify.sh
@@ -223,10 +223,12 @@ if [ "$?" -ne "0" ]; then
echo "However, the tests will start."
fi
+# TODO(CSIT-994): reenable NSH
PYTHONPATH=`pwd` pybot -L TRACE -W 136\
-v TOPOLOGY_PATH:${SCRIPT_DIR}/topologies/enabled/topology.yaml \
--suite "tests.vpp.func" \
--include HC_FUNC \
+ --exclude HC_NSH \
--noncritical EXPECTED_FAILING \
tests/
diff --git a/resources/tools/scripts/download_hc_build_pkgs.sh b/resources/tools/scripts/download_hc_build_pkgs.sh
index 3763c0999c..474344a320 100755
--- a/resources/tools/scripts/download_hc_build_pkgs.sh
+++ b/resources/tools/scripts/download_hc_build_pkgs.sh
@@ -22,8 +22,9 @@ OS=$2
URL="https://nexus.fd.io/service/local/artifact/maven/content"
VER="RELEASE"
VPP_GROUP="io.fd.vpp"
-NSH_GROUP="io.fd.nsh_sfc"
-NSH_ARTIFACTS="vpp-nsh-plugin"
+# TODO(CSIT-994): reenable NSH
+# NSH_GROUP="io.fd.nsh_sfc"
+# NSH_ARTIFACTS="vpp-nsh-plugin"
if [ "${OS}" == "ubuntu1404" ]; then
OS="ubuntu.trusty.main"
@@ -50,11 +51,12 @@ for ART in ${VPP_ARTIFACTS}; do
done
done
-for ART in ${NSH_ARTIFACTS}; do
- for PAC in ${PACKAGE}; do
- curl "${URL}?r=${REPO}&g=${NSH_GROUP}&a=${ART}&p=${PAC}&v=${VER}&c=${CLASS}" -O -J || exit
- done
-done
+# TODO(CSIT-994): reenable NSH
+# for ART in ${NSH_ARTIFACTS}; do
+# for PAC in ${PACKAGE}; do
+# curl "${URL}?r=${REPO}&g=${NSH_GROUP}&a=${ART}&p=${PAC}&v=${VER}&c=${CLASS}" -O -J || exit
+# done
+# done
# verify downloaded packages
if [ "${OS}" == "centos7" ]; then
diff --git a/resources/tools/scripts/download_hc_pkgs.sh b/resources/tools/scripts/download_hc_pkgs.sh
index a7562aa7f4..38c565f97f 100755
--- a/resources/tools/scripts/download_hc_pkgs.sh
+++ b/resources/tools/scripts/download_hc_pkgs.sh
@@ -22,9 +22,10 @@ URL="https://nexus.fd.io/service/local/artifact/maven/content"
VER="RELEASE"
GROUP="io.fd.vpp"
HC_GROUP="io.fd.hc2vpp"
-NSH_GROUP="io.fd.nsh_sfc"
HC_ARTIFACTS="honeycomb"
-NSH_ARTIFACTS="vpp-nsh-plugin"
+# TODO(CSIT-994): reenable NSH
+# NSH_GROUP="io.fd.nsh_sfc"
+# NSH_ARTIFACTS="vpp-nsh-plugin"
if [ "${OS}" == "ubuntu1404" ]; then
OS="ubuntu.trusty.main"
@@ -61,11 +62,12 @@ for ART in ${DPDK_ARTIFACTS}; do
done
done
-for ART in ${NSH_ARTIFACTS}; do
- for PAC in ${PACKAGE}; do
- curl "${URL}?r=${REPO}&g=${NSH_GROUP}&a=${ART}&p=${PAC}&v=${VER}&c=${CLASS}" -O -J || exit
- done
-done
+# TODO(CSIT-994): reenable NSH
+# for ART in ${NSH_ARTIFACTS}; do
+# for PAC in ${PACKAGE}; do
+# curl "${URL}?r=${REPO}&g=${NSH_GROUP}&a=${ART}&p=${PAC}&v=${VER}&c=${CLASS}" -O -J || exit
+# done
+# done
# determine VPP dependency
# use latest if honeycomb package does not depend on single VPP version, e.g. stable branches since HC2VPP-285